PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dtrsm | ( | PLASMA_enum | side,
|  | PLASMA_enum | uplo,
|  | PLASMA_enum | transA,
|  | PLASMA_enum | diag,
|  | int | N,
|  | int | NRHS,
|  | double | alpha,
|  | double * | A,
|  | int | LDA,
|  | double * | B,
|  | int | LDB
| ) |  |

PLASMA_dtrsm - Computes triangular solve A*X = B or X*A = B.

Parameters

  [in] | side | Specifies whether A appears on the left or on the right of X: = PlasmaLeft: A*X = B = PlasmaRight: X*A = B
  [in] | uplo | Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | transA | Specifies whether the matrix A is transposed, not transposed or ugate transposed: = PlasmaNoTrans: A is transposed; = PlasmaTrans: A is not transposed; = PlasmaTrans: A is ugate transposed.
  [in] | diag | Specifies whether or not A is unit triangular: = PlasmaNonUnit: A is non unit; = PlasmaUnit: A us unit.
  [in] | N | The order of the matrix A. N >= 0.
  [in] | NRHS | The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in] | alpha | alpha specifies the scalar alpha.
  [in] | A | The triangular matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of the array A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced. If uplo = PlasmaLower, the leading N-by-N lower triangular part of the array A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced. If diag = PlasmaUnit, the diagonal elements of A are also not referenced and are assumed to be 1.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in,out] | B | On entry, the N-by-NRHS right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dtrsm_Tile
  PLASMA_dtrsm_Tile_Async
  PLASMA_ctrsm
  PLASMA_dtrsm
  PLASMA_strsm